Description

We've just upgraded our Foreman installation to 1.8.2 and found that our Openstack provisioning stopped working. We've narrowed

the issue down to the new Openstack boot from volume code (see http://projects.theforeman.org/issues/4521).

It seems that even if the "Boot from volume" button is unchecked, Foreman still fires the boot_from_volume function in

/usr/share/foreman/app/models/compute_resources/foreman/model/openstack.rb. In our infrastructure this broke our provisioning as

we don't use Ceph/block device volumes on Openstack.

On line 76 of openstack.rb:

    def create_vm(args = {})

      boot_from_volume(args) if args[:boot_from_volume]

....

 When I create a new Openstack VM, boot_from_volume always gets called, even though I can see '"boot_from_volume"=>"false"' in

the Foreman logs for the new host.

Related issues:

Related to Foreman - Bug #4521: Openstack boot from volume Closed 03/03/2014

Associated revisions

Revision 776cff93 - 07/06/2015 07:00 AM - Daniel Lobato Garcia

Fixes #10867 - OpenStack boot_from_volume is true only when checked

Revision ca55ae5c - 07/17/2015 12:59 PM - Daniel Lobato Garcia

Fixes #10867 - OpenStack boot_from_volume is true only when checked

(cherry picked from commit 776cff93637b006cb69063fecf142e776acd1378)

Revision 1af68074 - 08/18/2015 01:20 PM - Daniel Lobato Garcia

Fixes #10867 - OpenStack boot_from_volume is true only when checked

(cherry picked from commit 776cff93637b006cb69063fecf142e776acd1378)

Revision 5ffe796f - 08/18/2015 02:09 PM - Dominic Cleal

refs #10867 - bool cast compatibility with 1.8

History

#1 - 06/18/2015 11:01 AM - Andy Taylor

Correction, I didn't mean Ceph, I meant Cinder :)

#2 - 06/18/2015 11:04 AM - Marek Hulán

- translation missing: en.field_release set to 62
#3 - 06/18/2015 11:04 AM - Marek Hulán

- Related to Bug #4521: Openstack boot from volume added

#4 - 06/19/2015 09:42 PM - Daniel Lobato Garcia

Looks like ` args[:boot_from_volume] ` is going to return true (boolean) for either "true" or "false" strings.

#5 - 06/24/2015 09:31 AM - Dominic Cleal

Don't forget that we have Foreman::Cast.to_bool now in develop.

#6 - 06/29/2015 12:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2498 added

- Pull request deleted ()

#7 - 07/06/2015 07:01 AM - Dominic Cleal

- Assignee set to Daniel Lobato Garcia

#8 - 07/06/2015 08:01 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 776cff93637b006cb69063fecf142e776acd1378.
